package de.fraunhofer.iem.dataprovider.tool.service

import de.fraunhofer.iem.dataprovider.tool.dto.CreateToolDto
import de.fraunhofer.iem.dataprovider.tool.entity.ToolEntity
import de.fraunhofer.iem.dataprovider.tool.repository.ToolRepository
import org.springframework.stereotype.Service

@Service
class ToolService(
    private val toolRepository: ToolRepository,
) {

    fun findOrCreateTool(tool: CreateToolDto): ToolEntity {
        return toolRepository.findByNameIgnoreCase(
            tool.name
        )
            ?: toolRepository.save(tool.asDbObject())
    }
}
